Loading...
Searching...
No Matches
RDKit::AtomValenceException Class Reference

`#include <SanitException.h>`

Inheritance diagram for RDKit::AtomValenceException:

## Public Member Functions

| AtomValenceException (const char *msg, unsigned int atomIdx)
| AtomValenceException (const std::string &msg, unsigned int atomIdx)
| AtomValenceException (const AtomValenceException &other)
| ~AtomValenceException () noexcept override
MolSanitizeException * | copy () const override
std::string | getType () const override
Public Member Functions inherited from RDKit::AtomSanitizeException
| AtomSanitizeException (const char *msg, unsigned int atomIdx)
| AtomSanitizeException (const std::string &msg, unsigned int atomIdx)
| AtomSanitizeException (const AtomSanitizeException &other)
unsigned int | getAtomIdx () const
| ~AtomSanitizeException () noexcept override
Public Member Functions inherited from RDKit::MolSanitizeException
| MolSanitizeException (const char *msg)
| MolSanitizeException (std::string msg)
| MolSanitizeException (const MolSanitizeException &other)
const char * | what () const noexcept override
| ~MolSanitizeException () noexcept override

## Additional Inherited Members

Protected Attributes inherited from RDKit::AtomSanitizeException
unsigned int | d_atomIdx
Protected Attributes inherited from RDKit::MolSanitizeException
std::string | d_msg

## Detailed Description

Definition at line 65 of file SanitException.h.

## Constructor & Destructor Documentation

## AtomValenceException() [1/3]

RDKit::AtomValenceException::AtomValenceException | ( | const char * | msg,
|  | unsigned int | atomIdx
| ) |  |

inline

Definition at line 68 of file SanitException.h.

## AtomValenceException() [2/3]

RDKit::AtomValenceException::AtomValenceException | ( | const std::string & | msg,
|  | unsigned int | atomIdx
| ) |  |

inline

Definition at line 70 of file SanitException.h.

## AtomValenceException() [3/3]

RDKit::AtomValenceException::AtomValenceException | ( | const AtomValenceException & | other | ) |

inline

Definition at line 72 of file SanitException.h.

## ~AtomValenceException()

RDKit::AtomValenceException::~AtomValenceException | ( |  | ) |

inline override noexcept

Definition at line 74 of file SanitException.h.

## Member Function Documentation

## copy()

MolSanitizeException * RDKit::AtomValenceException::copy | ( |  | ) | const

inline override virtual

Reimplemented from RDKit::AtomSanitizeException.

Definition at line 75 of file SanitException.h.

## getType()

std::string RDKit::AtomValenceException::getType | ( |  | ) | const

inline override virtual

Reimplemented from RDKit::AtomSanitizeException.

Definition at line 78 of file SanitException.h.

The documentation for this class was generated from the following file:

- SanitException.h